%define upstream_name Event-File
%define upstream_version 0.1.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 13
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Mimic the 'tail -f' behaviour using Event
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Event/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl-devel

BuildArch:	noarch

%description
This module tries to mimic the 'tail -f' behaviour
using Event.

It detects file deletion, rename, rotation providing a simple way to keep 
track of files like log files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type f | xargs chmod 0644
find -type d | xargs chmod 0755

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc README Changes demo
%{perl_vendorlib}/Event
%{_mandir}/man3/*


%changelog
* Tue Nov 01 2022 umeabot <umeabot> 0.1.1-13.mga9
+ Revision: 1901153
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.1-12.mga8
+ Revision: 1494448
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.1-11.mga7
+ Revision: 1267863
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.1.1-10.mga6
+ Revision: 1026975
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.1.1-9.mga6
+ Revision: 968865
- Mageia 6 Mass Rebuild

* Mon Jul 20 2015 sander85 <sander85> 0.1.1-8.mga6
+ Revision: 855743
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-7.mga5
+ Revision: 746615
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-6.mga5
+ Revision: 684655
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.1-5.mga4
+ Revision: 511410
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.1-4.mga3
+ Revision: 366947
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.1.1-3.mga1
+ Revision: 30186
- mageia rebuild
- imported package perl-Event-File

